Sysstat – All-in-One System Performance and Usage Activity Monitoring Tool For Linux
================================================================================
**Sysstat** is really a handy tool which comes with number of utilities to monitor system resources, their performance and usage activities. Number of utilities that we all use in our daily bases comes with sysstat package. It also provide the tool which can be scheduled using cron to collect all performance and activity data.

![Install Sysstat in Linux](http://www.tecmint.com/wp-content/uploads/2014/08/sysstat.png)

Install Sysstat in Linux

Following are the list of tools included in sysstat packages.

### Sysstat Features ###

- [**iostat**][1]: Reports all statistics about your CPU and I/O statistics for I/O devices.
- **mpstat**: Details about CPUs (individual or combined).
- **pidstat**: Statistics about running processes/task, CPU, memory etc.
- **sar**: Save and report details about different resources (CPU, Memory, IO, Network, kernel etc..).
- **sadc**: System activity data collector, used for collecting data in backend for sar.
- **sa1**: Fetch and store binary data in sadc data file. This is used with sadc.
- **sa2**: Summaries daily report to be used with sar.
- **Sadf**: Used for displaying data generated by sar in different formats (CSV or XML).
- **Sysstat**: Man page for sysstat utility.
- **nfsiostat**-sysstat: I/O statistics for NFS.
- **cifsiostat**: Statistics for CIFS.

Recenlty, on 17th of June 2014, **Sysstat 11.0.0** (stable version) has been released with some new interesting features as follows.

pidstat command has been enhanced with some new options: first is “-R” which will provide information about the policy and task scheduling priority. And second one is “**-G**” which we can search processes with name and to get the list of all matching threads.

Some new enhancement have been brought to sar, sadc and sadf with regards to the data files: Now data files can be renamed using “**saYYYYMMDD**” instead of “**saDD**” using option **–D** and can be located in directory different from “**/var/log/sa**”. We can define new directory by setting variable “SA_DIR”, which is being used by sa1 and sa2.

### Installation of Sysstat in Linux ###

The ‘**Sysstat**‘ package also available to install from default repository as a package in all major Linux distributions. However, the package which is available from the repo is little old and outdated version. So, that’s the reason, we here going to download and install the latest version of sysstat (i.e. version **11.0.0**) from source package.

First download the latest version of sysstat package using the following link or you may also use **wget** command to download directly on the terminal.

- [http://sebastien.godard.pagesperso-orange.fr/download.html][2]

    # wget http://pagesperso-orange.fr/sebastien.godard/sysstat-11.0.0.tar.gz

![Download Sysstat Package](http://www.tecmint.com/wp-content/uploads/2014/08/Download-Sysstat.png)

Download Sysstat Package

Next, extract the downloaded package and go inside that directory to begin compile process.

    # tar -xvf sysstat-11.0.0.tar.gz 
    # cd sysstat-11.0.0/

Here you will have two options for compilation:

a). Firstly, you can use **iconfig** (which will give you flexibility for choosing/entering the customized values for each parameters).

    # ./iconfig

![Sysstat iconfig Command](http://www.tecmint.com/wp-content/uploads/2014/08/Sysstat-iconfig-Command.png)

Sysstat iconfig Command

b). Secondly, you can use standard **configure** command to define options in single line. You can run **./configure –help command** to get list of different supported options.

    # ./configure --help

![Sysstat Configure Help](http://www.tecmint.com/wp-content/uploads/2014/08/Configure-Help.png)

Sysstat Configure Help

Here, we are moving ahead with standard option i.e. **./configure** command to compile sysstat package.

    # ./configure
    # make
    # make install	

![Configure Sysstat in Linux](http://www.tecmint.com/wp-content/uploads/2014/08/Configure-Sysstat.png)

Configure Sysstat in Linux

After compilation process completes, you will see the output similar to above. Now, verify the sysstat version by running following command.

    # mpstat -V
    
    sysstat version 11.0.0
    (C) Sebastien Godard (sysstat <at> orange.fr)

### Updating Sysstat in Linux ###

By default sysstat use “**/usr/local**” as its prefix directory. So, all binary/utilities will get installed in “**/usr/local/bin**” directory. If you have existing sysstat package installed, then those will be there in “**/usr/bin**”.

Due to existing sysstat package, you will not get your updated version reflected, because your “**$PATH**” variable don’t have “**/usr/local/bin set**”. So, make sure that “**/usr/local/bin**” exist there in your “$PATH” or set **–prefix** option to “**/usr**” during compilation and remove existing version before starting updating.

    # yum remove sysstat			[On RedHat based System]
    # apt-get remove sysstat		[On Debian based System]

----------

    # ./configure --prefix=/usr
    # make
    # make install

Now again, verify the updated version of systat using same ‘mpstat’ command with option ‘**-V**’.

    # mpstat -V
    
    sysstat version 11.0.0
    (C) Sebastien Godard (sysstat <at> orange.fr)

**Reference**: For more information please go through [Sysstat Documentation][3]

That’s it for now, in my upcoming article, I will show some practical examples and usages of sysstat command, till then stay tuned to updates and don’t forget to add your valuable thoughts about the article at below comment section.

--------------------------------------------------------------------------------

via: http://www.tecmint.com/install-sysstat-in-linux/

作者：[Kuldeep Sharma][a]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[a]:http://www.tecmint.com/author/kuldeepsharma47/
[1]:http://www.tecmint.com/linux-performance-monitoring-with-vmstat-and-iostat-commands/
[2]:http://sebastien.godard.pagesperso-orange.fr/download.html
[3]:http://sebastien.godard.pagesperso-orange.fr/documentation.html